#include "usbstk5515.h"

#define IER0 *(volatile ioport unsigned short*)0x0000
#define IFR0 *(volatile ioport unsigned short*)0x0001
#define TIM1PRD1 *(volatile ioport unsigned short*)0x1852
#define TIM1PRD2 *(volatile ioport unsigned short*)0x1853
#define TIM1CNT1 *(volatile ioport unsigned short*)0x1854
#define TIM1CNT2 *(volatile ioport unsigned short*)0x1855
#define TIM1INT *(volatile ioport unsigned short*)0x1856
#define TCR1 *(volatile ioport unsigned short*)0x1850
#define TIAFR *(volatile ioport unsigned short*)0x1C14

void _f()
{
	SYS_GPIO_DATAOUT0 ^= 0xC000;
}


/*
 * main.c
 */
int main(void)
{
	SYS_GPIO_DIR0 |= 0xC000;
	SYS_GPIO_DATAOUT0 |= 0xC000;
	SYS_GPIO_DATAOUT0 ^= 0xC000;

	IER0 |= 0x0010;
	IFR0 = 0;

	TIM1PRD1 = 0xA0C4;
	TIM1PRD2 = 0x0000;
	TIM1CNT1 = 0x0000;
	TIM1CNT2 = 0x0000;

	TIM1INT |= 0x0001;

	TIAFR |= 0x0007;
	TCR1 |= 0x8001;

	return 0;
}
